% ----------------------------------------------------------
% RANDOM PLACEMENT PROBLEM DEFINITION FILE 
% ----------------------------------------------------------
% Description:
%
% Number of objects: 200
% Area: 35 x 13 = 455 
% Total area of objects: 439              
% Area filled up with objects: 96.48 %
%        
% Average Y lower bound: 38.19 % of Area height
%                           
% object_sizes( 
%    sizes( [[2,1],[3,1],[4,1],[6,1]] ),
%    probabilities( [0.8042,0.1663,0.0252,0.0043] )
% ).
% lower_bounds( 
%    bounds( [0,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.91] ),
%    probabilities( [0.31,0.08,0.044,0.07,0.2,0.103,0.06,0.02,0.113] )
% ).
% ----------------------------------------------------------

objects([
    object(
      name( rect1 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect2 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect3 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 2-12 ] )
    ),
    object(
      name( rect4 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 3-12 ] )
    ),
    object(
      name( rect5 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 5-12 ] )
    ),
    object(
      name( rect6 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 3-12 ] )
    ),
    object(
      name( rect7 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect8 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect9 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect10 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect11 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 3-12 ] )
    ),
    object(
      name( rect12 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect13 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect14 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect15 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect16 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect17 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 9-12 ] )
    ),
    object(
      name( rect18 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect19 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect20 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect21 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect22 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect23 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect24 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect25 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect26 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect27 ),
      size( [ 4, 1 ] ),
      valid_positions( [ 0-31, 5-12 ] )
    ),
    object(
      name( rect28 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 3-12 ] )
    ),
    object(
      name( rect29 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect30 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect31 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect32 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect33 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect34 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect35 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect36 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect37 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect38 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 9-12 ] )
    ),
    object(
      name( rect39 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect40 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 3-12 ] )
    ),
    object(
      name( rect41 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 9-12 ] )
    ),
    object(
      name( rect42 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect43 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect44 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 5-12 ] )
    ),
    object(
      name( rect45 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 5-12 ] )
    ),
    object(
      name( rect46 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect47 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect48 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect49 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 5-12 ] )
    ),
    object(
      name( rect50 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect51 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect52 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect53 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 5-12 ] )
    ),
    object(
      name( rect54 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect55 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect56 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect57 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 0-12 ] )
    ),
    object(
      name( rect58 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 5-12 ] )
    ),
    object(
      name( rect59 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect60 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect61 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect62 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect63 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect64 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect65 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect66 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 9-12 ] )
    ),
    object(
      name( rect67 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect68 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect69 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 9-12 ] )
    ),
    object(
      name( rect70 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect71 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect72 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect73 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect74 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect75 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect76 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect77 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect78 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect79 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect80 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect81 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect82 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect83 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 11-12 ] )
    ),
    object(
      name( rect84 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect85 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 9-12 ] )
    ),
    object(
      name( rect86 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect87 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect88 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect89 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect90 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 3-12 ] )
    ),
    object(
      name( rect91 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 6-12 ] )
    ),
    object(
      name( rect92 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect93 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect94 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect95 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect96 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect97 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect98 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 0-12 ] )
    ),
    object(
      name( rect99 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 0-12 ] )
    ),
    object(
      name( rect100 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect101 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 0-12 ] )
    ),
    object(
      name( rect102 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 5-12 ] )
    ),
    object(
      name( rect103 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect104 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect105 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect106 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect107 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect108 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect109 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 5-12 ] )
    ),
    object(
      name( rect110 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect111 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect112 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect113 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect114 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect115 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect116 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 10-12 ] )
    ),
    object(
      name( rect117 ),
      size( [ 4, 1 ] ),
      valid_positions( [ 0-31, 0-12 ] )
    ),
    object(
      name( rect118 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect119 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 0-12 ] )
    ),
    object(
      name( rect120 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect121 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect122 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect123 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect124 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect125 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect126 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 5-12 ] )
    ),
    object(
      name( rect127 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect128 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 6-12 ] )
    ),
    object(
      name( rect129 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect130 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect131 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect132 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect133 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 3-12 ] )
    ),
    object(
      name( rect134 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect135 ),
      size( [ 4, 1 ] ),
      valid_positions( [ 0-31, 7-12 ] )
    ),
    object(
      name( rect136 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect137 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 9-12 ] )
    ),
    object(
      name( rect138 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 2-12 ] )
    ),
    object(
      name( rect139 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 11-12 ] )
    ),
    object(
      name( rect140 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect141 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect142 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 2-12 ] )
    ),
    object(
      name( rect143 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect144 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect145 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect146 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect147 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 7-12 ] )
    ),
    object(
      name( rect148 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 7-12 ] )
    ),
    object(
      name( rect149 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 0-12 ] )
    ),
    object(
      name( rect150 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect151 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect152 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect153 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect154 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 9-12 ] )
    ),
    object(
      name( rect155 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 6-12 ] )
    ),
    object(
      name( rect156 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect157 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect158 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect159 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect160 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect161 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect162 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect163 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 3-12 ] )
    ),
    object(
      name( rect164 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 7-12 ] )
    ),
    object(
      name( rect165 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect166 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect167 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 9-12 ] )
    ),
    object(
      name( rect168 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect169 ),
      size( [ 4, 1 ] ),
      valid_positions( [ 0-31, 11-12 ] )
    ),
    object(
      name( rect170 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect171 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect172 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect173 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 6-12 ] )
    ),
    object(
      name( rect174 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect175 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 2-12 ] )
    ),
    object(
      name( rect176 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect177 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 3-12 ] )
    ),
    object(
      name( rect178 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 6-12 ] )
    ),
    object(
      name( rect179 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect180 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 5-12 ] )
    ),
    object(
      name( rect181 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect182 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect183 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect184 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 7-12 ] )
    ),
    object(
      name( rect185 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 11-12 ] )
    ),
    object(
      name( rect186 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 2-12 ] )
    ),
    object(
      name( rect187 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect188 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect189 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 9-12 ] )
    ),
    object(
      name( rect190 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 6-12 ] )
    ),
    object(
      name( rect191 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect192 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect193 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect194 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect195 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 3-12 ] )
    ),
    object(
      name( rect196 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 0-12 ] )
    ),
    object(
      name( rect197 ),
      size( [ 2, 1 ] ),
      valid_positions( [ 0-33, 6-12 ] )
    ),
    object(
      name( rect198 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 7-12 ] )
    ),
    object(
      name( rect199 ),
      size( [ 4, 1 ] ),
      valid_positions( [ 0-31, 6-12 ] )
    ),
    object(
      name( rect200 ),
      size( [ 3, 1 ] ),
      valid_positions( [ 0-32, 6-12 ] )
    )
] ).
